{
  "name": "eid-frontend",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "ng": "ng",
    "build": "npm run write:env -s && ng build",
    "start": "npm run write:env -s && ng serve --proxy-config proxy.conf.js",
    "serve:sw": "npm run build -s && npx http-server ./dist -p 4200",
    "lint": "ng lint && stylelint \"src/**/*.scss\"",
    "test": "npm run write:env -s && ng test",
    "test:ci": "npm run write:env -s && npm run lint -s && ng run eid-frontend:test:ci",
    "translations:extract": "ngx-translate-extract --input ./src --output ./src/translations/template.json --format=json --clean --sort",
    "write:env": "ngx-scripts env npm_package_version",
    "prettier": "prettier --write \"./src/**/*.{ts,js,html,scss}\"",
    "prettier:check": "prettier --list-different \"./src/**/*.{ts,js,html,scss}\"",
    "postinstall": "npm run prettier -s && husky install",
    "generate": "ng generate"
  },
  "dependencies": {
    "@angular/animations": "~14.1.3",
    "@angular/cdk": "~14.1.3",
    "@angular/common": "~14.1.3",
    "@angular/compiler": "~14.1.3",
    "@angular/core": "~14.1.3",
    "@angular/flex-layout": "^14.0.0-beta.40",
    "@angular/forms": "~14.1.3",
    "@angular/localize": "~14.1.3",
    "@angular/material": "~14.1.3",
    "@angular/platform-browser": "~14.1.3",
    "@angular/platform-browser-dynamic": "~14.1.3",
    "@angular/router": "~14.1.3",
    "@angular/service-worker": "~14.1.3",
    "@ngx-translate/core": "^14.0.0",
    "lodash": "^4.17.20",
    "material-design-icons-iconfont": "^6.1.0",
    "moment": "^2.29.4",
    "rxjs": "^7.5.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~14.1.3",
    "@angular-eslint/builder": "~14.0.3",
    "@angular-eslint/eslint-plugin": "~14.0.3",
    "@angular-eslint/eslint-plugin-template": "~14.0.3",
    "@angular-eslint/schematics": "~14.0.3",
    "@angular-eslint/template-parser": "~14.0.3",
    "@angular/compiler-cli": "~14.1.3",
    "@angular/language-service": "~14.1.3",
    "@biesbjerg/ngx-translate-extract": "^7.0.3",
    "@biesbjerg/ngx-translate-extract-marker": "^1.0.0",
    "@ngneat/until-destroy": "^9.0.0",
    "@ngx-rocket/scripts": "^5.2.2",
    "@types/jasmine": "^4.0.0",
    "@types/jasminewd2": "^2.0.8",
    "@types/lodash": "^4.14.184",
    "@types/node": "^14.18.26",
    "@typescript-eslint/eslint-plugin": "~5.34.0",
    "@typescript-eslint/parser": "~5.34.0",
    "eslint": "^8.3.0",
    "eslint-plugin-import": "latest",
    "eslint-plugin-jsdoc": "latest",
    "eslint-plugin-prefer-arrow": "latest",
    "https-proxy-agent": "^5.0.0",
    "husky": "^8.0.1",
    "jasmine-core": "~4.2.0",
    "jasmine-spec-reporter": "~7.0.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.0.0",
    "karma-junit-reporter": "^2.0.1",
    "postcss": "^8.4.5",
    "prettier": "^2.2.1",
    "pretty-quick": "^3.1.0",
    "stylelint": "~14.11.0",
    "stylelint-config-prettier": "^9.0.3",
    "stylelint-config-recommended-scss": "~7.0.0",
    "stylelint-config-standard": "~28.0.0",
    "ts-node": "^10.1.0",
    "typescript": "~4.7.4"
  },
  "prettier": {
    "singleQuote": true,
    "overrides": [
      {
        "files": "*.scss",
        "options": {
          "singleQuote": false
        }
      }
    ]
  }
}
